<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=db&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
$parse_xml = simplexml_load_string($content);
echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=db.edit">Создать базу данных</a>' . "\n";
echo '</div>' . "\n";
foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Имя базы:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Тип базы данных:</b> ' . htmlentities((string)$var->dbtype, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Пользователи:</b> ' . htmlentities((string)$var->dbuser, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '<b>Размер:</b> ' . htmlentities((string)$var->size, ENT_QUOTES, 'UTF-8') . ' Мб<br />' . "\n";
    echo '&#187; <a href="?func=db.users&amp;elid=' . urlencode((string)$var->dbkey) . '">Пользователи</a><br />' . "\n";
    echo '&#187; <a href="?func=db.repair&amp;elid=' . urlencode((string)$var->dbkey) . '">Починить</a><br />' . "\n";
    echo '&#187; <a href="?func=db.delete&amp;elid=' . urlencode((string)$var->dbkey) . '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}
echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>